use sha2::{Digest, Sha512};

/// Compute hash of a slice of bytes (sha512)
pub fn sha512(bytes: &[u8]) -> String {
    let mut hasher = Sha512::new();
    hasher.update(bytes);
    let h = hasher.finalize();
    base16ct::lower::encode_string(h.as_slice())
}
